VERSION 5.00
Begin VB.Form ToolingControlMenu 
   Caption         =   "Tooling Control"
   ClientHeight    =   120
   ClientLeft      =   225
   ClientTop       =   855
   ClientWidth     =   3045
   ControlBox      =   0   'False
   Icon            =   "ToolingControlMenu.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   120
   ScaleWidth      =   3045
   StartUpPosition =   3  'Windows Default
   Begin VB.DirListBox Dir1 
      Height          =   315
      Left            =   1560
      TabIndex        =   1
      Top             =   360
      Width           =   615
   End
   Begin VB.TextBox txtThisPath 
      Height          =   285
      Left            =   240
      TabIndex        =   0
      Text            =   "Text1"
      Top             =   360
      Width           =   615
   End
   Begin VB.Menu mnuGauges 
      Caption         =   "Gauges"
      Begin VB.Menu mnuGaugesUseReport 
         Caption         =   "Gauges Use Report"
      End
   End
   Begin VB.Menu mnuJigs 
      Caption         =   "Jigs"
   End
   Begin VB.Menu mnuUtilities 
      Caption         =   "Utilities"
      Begin VB.Menu mnuHelp 
         Caption         =   "Help"
      End
      Begin VB.Menu mnuAbout 
         Caption         =   "About"
      End
      Begin VB.Menu mnuSetDatabasePath 
         Caption         =   "Set Database Path"
      End
      Begin VB.Menu mnuRepairDatabase 
         Caption         =   "Repair Database"
      End
      Begin VB.Menu mnuSetLockCharacters 
         Caption         =   "Set Lock Characters"
      End
      Begin VB.Menu mnuClearLocks 
         Caption         =   "Clear Locks"
      End
   End
   Begin VB.Menu mnuExit 
      Caption         =   "Exit"
   End
End
Attribute VB_Name = "ToolingControlMenu"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Activate()
  txtThisPath.Text = Dir1.Path
' ToolingControlMenu.txtThisPath.Text
'  If Right(Left(DataBasePath$, 2), 1) <> ":" Then
'    DataBasePath$ = ToolingControlMenu.txtThisPath.Text & "\" & DataBasePath$
 ' End If


End Sub


Private Sub mnuAbout_Click()
  Message$ = ""
  About$ = ""
  eol = Chr(10) & Chr(13)
  Open ToolingControlMenu.txtThisPath.Text & "\ToolingControl.vbp" For Input As #2
  Do While Not EOF(2)
    Line Input #2, ThisLine$
    If InStr(ThisLine$, "Title") > 0 Then
      About$ = "This Software " & ThisLine$
    End If
    If InStr(ThisLine$, "VersionComments") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionCompanyName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MajorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "MinorVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "RevisionVer") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalCopyright") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionLegalTrademarks") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionProductName") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
    If InStr(ThisLine$, "VersionFileDescription") > 0 Then
      Message$ = Message$ & ThisLine$ & eol
    End If
  Loop
  Close #2
  Prompt$ = ""
  reply = MsgBox(Message$, vbOKOnly, About$)
End Sub

Private Sub mnuClearLocks_Click()
  ToolingControlClearLocks.Show
End Sub

Private Sub mnuExit_Click()
  If mnuGauges.Enabled = False Then
    reply$ = MsgBox("Please close Gauges", vbOKExclamation, "Open Application")
    Exit Sub
  End If
  If mnuJigs.Enabled = False Then
    reply$ = MsgBox("Please close Jigs", vbOKExclamation, "Open Application")
    Exit Sub
  End If
  End
End Sub

Private Sub mnuGauges_Click()
  mnuGauges.Enabled = False
  Gauges.Show
End Sub

Private Sub mnuGaugesUseReport_Click()
  GaugeInspectionReport.Show
End Sub

Private Sub mnuHelp_Click()
  Open "HelpModuleItem.ini" For Output As #2
  ThisModule = "** Tooling Program Guide **"
  Print #2, ThisModule
  Close #2
  ToolingHelp.Show
End Sub

Private Sub mnuJigs_Click()
  mnuJigs.Enabled = False
  Jigs.Show
End Sub


Private Sub mnuRepairDatabase_Click()
  ToolingDatabaseRepair.Show
End Sub

Private Sub mnuSetDatabasePath_Click()
  SetToolingDatabasePath.Show
End Sub

Private Sub mnuSetLockCharacters_Click()
  SetToolingControlLockNumber.Show
End Sub
